| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Namespaces | Classes | Functions
cv::gapi::s11n Namespace Reference
G-API framework » G-API Serialization functionality

This namespace contains G-API serialization and deserialization functions and data structures. More...

## Namespaces
namespace | detail

## Classes
struct | IIStream
| This structure is an interface for deserialization routines. More...
struct | IOStream
| This structure is an interface for serialization routines. More...

## Functions
IOStream & | operator<< (IOStream &os, const cv::detail::OpaqueRef &opr)
IOStream & | operator<< (IOStream &os, const cv::detail::VectorRef &vr)
IOStream & | operator<< (IOStream &os, const cv::gapi::wip::IStreamSource::Ptr &issptr)
IOStream & | operator<< (IOStream &os, const cv::Mat &m)
IOStream & | operator<< (IOStream &os, const cv::Point &pt)
IOStream & | operator<< (IOStream &os, const cv::Point2f &pt)
IOStream & | operator<< (IOStream &os, const cv::Point3f &pt)
IOStream & | operator<< (IOStream &os, const cv::Rect &rc)
IOStream & | operator<< (IOStream &os, const cv::RMat &r)
IOStream & | operator<< (IOStream &os, const cv::Scalar &s)
IOStream & | operator<< (IOStream &os, const cv::Size &sz)
IOStream & | operator<< (IOStream &os, const cv::UMat &um)
template<typename... Ts>
IOStream & | operator<< (IOStream &os, const cv::util::variant< Ts... > &v)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename K , typename V >
IOStream & | operator<< (IOStream &os, const std::map< K, V > &m)
template<typename K , typename V >
IOStream & | operator<< (IOStream &os, const std::unordered_map< K, V > &m)
template<typename T >
IOStream & | operator<< (IOStream &os, const std::vector< T > &ts)
IIStream & | operator>> (IIStream &is, cv::detail::OpaqueRef &opr)
IIStream & | operator>> (IIStream &is, cv::detail::VectorRef &vr)
IIStream & | operator>> (IIStream &is, cv::gapi::wip::IStreamSource::Ptr &issptr)
IIStream & | operator>> (IIStream &is, cv::Mat &m)
IIStream & | operator>> (IIStream &is, cv::Point &pt)
IIStream & | operator>> (IIStream &is, cv::Point2f &pt)
IIStream & | operator>> (IIStream &is, cv::Point3f &pt)
IIStream & | operator>> (IIStream &is, cv::Rect &rc)
IIStream & | operator>> (IIStream &is, cv::RMat &r)
IIStream & | operator>> (IIStream &is, cv::Scalar &s)
IIStream & | operator>> (IIStream &is, cv::Size &sz)
IIStream & | operator>> (IIStream &is, cv::UMat &um)
template<typename... Ts>
IIStream & | operator>> (IIStream &is, cv::util::variant< Ts... > &v)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename K , typename V >
IIStream & | operator>> (IIStream &is, std::map< K, V > &m)
template<typename K , typename V >
IIStream & | operator>> (IIStream &is, std::unordered_map< K, V > &m)
template<typename T >
IIStream & | operator>> (IIStream &is, std::vector< T > &ts)

## Detailed Description

This namespace contains G-API serialization and deserialization functions and data structures.

## Function Documentation

## ◆ operator<<() [1/16]

IOStream & cv::gapi::s11n::operator<< | ( | IOStream & | os,
|  | const cv::detail::OpaqueRef & | opr )

## ◆ operator<<() [2/16]

IOStream & cv::gapi::s11n::operator<< | ( | IOStream & | os,
|  | const cv::detail::VectorRef & | vr )

## ◆ operator<<() [3/16]

IOStream & cv::gapi::s11n::operator<< | ( | IOStream & | os,
|  | const cv::gapi::wip::IStreamSource::Ptr & | issptr )

## ◆ operator<<() [4/16]

IOStream & cv::gapi::s11n::operator<< | ( | IOStream & | os,
|  | const cv::Mat & | m )

## ◆ operator<<() [5/16]

IOStream & cv::gapi::s11n::operator<< | ( | IOStream & | os,
|  | const cv::Point & | pt )

## ◆ operator<<() [6/16]

IOStream & cv::gapi::s11n::operator<< | ( | IOStream & | os,
|  | const cv::Point2f & | pt )

## ◆ operator<<() [7/16]

IOStream & cv::gapi::s11n::operator<< | ( | IOStream & | os,
|  | const cv::Point3f & | pt )

## ◆ operator<<() [8/16]

IOStream & cv::gapi::s11n::operator<< | ( | IOStream & | os,
|  | const cv::Rect & | rc )

## ◆ operator<<() [9/16]

IOStream & cv::gapi::s11n::operator<< | ( | IOStream & | os,
|  | const cv::RMat & | r )

## ◆ operator<<() [10/16]

IOStream & cv::gapi::s11n::operator<< | ( | IOStream & | os,
|  | const cv::Scalar & | s )

## ◆ operator<<() [11/16]

IOStream & cv::gapi::s11n::operator<< | ( | IOStream & | os,
|  | const cv::Size & | sz )

## ◆ operator<<() [12/16]

IOStream & cv::gapi::s11n::operator<< | ( | IOStream & | os,
|  | const cv::UMat & | um )

## ◆ operator<<() [13/16]

template<typename... Ts>

IOStream & cv::gapi::s11n::operator<< | ( | IOStream & | os,
|  | const cv::util::variant< Ts... > & | v )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Here is the call graph for this function:

## ◆ operator<<() [14/16]

template<typename K , typename V >

IOStream & cv::gapi::s11n::operator<< | ( | IOStream & | os,
|  | const std::map< K, V > & | m )

## ◆ operator<<() [15/16]

template<typename K , typename V >

IOStream & cv::gapi::s11n::operator<< | ( | IOStream & | os,
|  | const std::unordered_map< K, V > & | m )

## ◆ operator<<() [16/16]

template<typename T >

IOStream & cv::gapi::s11n::operator<< | ( | IOStream & | os,
|  | const std::vector< T > & | ts )

## ◆ operator>>() [1/16]

IIStream & cv::gapi::s11n::operator>> | ( | IIStream & | is,
|  | cv::detail::OpaqueRef & | opr )

## ◆ operator>>() [2/16]

IIStream & cv::gapi::s11n::operator>> | ( | IIStream & | is,
|  | cv::detail::VectorRef & | vr )

## ◆ operator>>() [3/16]

IIStream & cv::gapi::s11n::operator>> | ( | IIStream & | is,
|  | cv::gapi::wip::IStreamSource::Ptr & | issptr )

## ◆ operator>>() [4/16]

IIStream & cv::gapi::s11n::operator>> | ( | IIStream & | is,
|  | cv::Mat & | m )

## ◆ operator>>() [5/16]

IIStream & cv::gapi::s11n::operator>> | ( | IIStream & | is,
|  | cv::Point & | pt )

## ◆ operator>>() [6/16]

IIStream & cv::gapi::s11n::operator>> | ( | IIStream & | is,
|  | cv::Point2f & | pt )

## ◆ operator>>() [7/16]

IIStream & cv::gapi::s11n::operator>> | ( | IIStream & | is,
|  | cv::Point3f & | pt )

## ◆ operator>>() [8/16]

IIStream & cv::gapi::s11n::operator>> | ( | IIStream & | is,
|  | cv::Rect & | rc )

## ◆ operator>>() [9/16]

IIStream & cv::gapi::s11n::operator>> | ( | IIStream & | is,
|  | cv::RMat & | r )

## ◆ operator>>() [10/16]

IIStream & cv::gapi::s11n::operator>> | ( | IIStream & | is,
|  | cv::Scalar & | s )

## ◆ operator>>() [11/16]

IIStream & cv::gapi::s11n::operator>> | ( | IIStream & | is,
|  | cv::Size & | sz )

## ◆ operator>>() [12/16]

IIStream & cv::gapi::s11n::operator>> | ( | IIStream & | is,
|  | cv::UMat & | um )

## ◆ operator>>() [13/16]

template<typename... Ts>

IIStream & cv::gapi::s11n::operator>> | ( | IIStream & | is,
|  | cv::util::variant< Ts... > & | v )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Here is the call graph for this function:

## ◆ operator>>() [14/16]

template<typename K , typename V >

IIStream & cv::gapi::s11n::operator>> | ( | IIStream & | is,
|  | std::map< K, V > & | m )

## ◆ operator>>() [15/16]

template<typename K , typename V >

IIStream & cv::gapi::s11n::operator>> | ( | IIStream & | is,
|  | std::unordered_map< K, V > & | m )

## ◆ operator>>() [16/16]

template<typename T >

IIStream & cv::gapi::s11n::operator>> | ( | IIStream & | is,
|  | std::vector< T > & | ts )